#!/usr/bin/env bash

## No bash script should be considered releasable until it has this! http://j.mp/safebash ##
# Exit if any statement returns a non-true return value (non-zero).
set -o errexit
# Exit on use of an uninitialized variable
set -o nounset
# produce debug info
# set -x 

#cd $(dirname $0)/../../..
#[ "$#" -eq 0 ] || echo "1 or more argument required" $# "provided"

echo "NO FILES PROVIDED: "

# the directories

homedir=~
eval homedir=$homedir
echo "HOME DIR:" $homedir # prints home path

scriptdir="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
echo "SCRIPT DIR:" $scriptdir

appdir=$scriptdir"/../../MacOS"

notesdir=$homedir"/Documents/Marking-Feedback-Assistant"
echo "NOTES DIR:" $notesdir
mkdir -p $notesdir

#copy the templates into the user Documents folder if they do not exist
#if [ ! -d "$notesdir"/Templates ]; then
#    echo "CREATING TEMPLATE DIR:" $notesdir/Templates
    
#    mkdir -p $notesdir/Templates
#    cp -r ${appdir}/Templates $notesdir
#fi

#copy the default file of one doesnt exist
#if [ ! -f "$notesdir"/DefaultTemplate.jaj ]; then
#	echo "COPYING TEMPLATE:"
#	cp ${appdir}/Templates/DefaultTemplate.jaj $notesdir
#fi

# set up the common java parameters required
   	JAVACMD=(-Dfile.encoding=UTF-8 -XX:CompileCommand=exclude,javax/swing/text/GlyphView,getBreakSpot -Xdock:icon=${appdir}/MFicon.png -Xdock:name="New Marking Scheme" -jar ${appdir}/marking.jar)

#run the application
#java "${JAVACMD[@]}" &
# the outputs are all directed to null to allow the calling applescript to finish
# the rerun parameter is used to prevent the application from running itself again with the -XX parameter, since we have been able to add it in this script
java "${JAVACMD[@]}" "rerun" > /dev/null 2>&1 &

#run the application
#java -Dfile.encoding=UTF-8 -Xmx192m -Xdock:icon=${appdir}/jarnal.png -Xdock:name=Jarnal -jar ${appdir}/jarnal.jar $notesdir/Templates/DefaultTemplate.jaj -s $notesdir/`eval date +%Y%m%d-%H%M`.jaj

#run the application using a pdf background
#java -Dfile.encoding=UTF-8 -Xmx192m -jar ${appdir}/jarnal.jar -b #$notesdir/Templates/NotesTemplate.pdf -s $notesdir/`eval date +%Y%m%d-%H%M%S`.jaj
	